Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.move.composite
Class UnionMoveSelector.RandomUnionMoveIterator

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator<Move>
          org.optaplanner.core.impl.heuristic.selector.move.composite.UnionMoveSelector.RandomUnionMoveIterator

All Implemented Interfaces:
  Iterator<Move>

Enclosing class:
  UnionMoveSelector

    public class UnionMoveSelector.RandomUnionMoveIterator

extends SelectionIterator<Move>

Field Summary
`protected NavigableMap<Double,Iterator<Move>>` | `moveIteratorMap`
`protected Map<Iterator<Move>,org.optaplanner.core.impl.heuristic.selector.move.composite.UnionMoveSelector.ProbabilityItem>` | `probabilityItemMap`
`protected double` | `probabilityWeightTotal`
`protected boolean` | `stale`

Constructor Summary
`UnionMoveSelector.RandomUnionMoveIterator()`

Method Summary
`boolean` | `hasNext()`
`Move` | `next()`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.common.iterator.SelectionIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### probabilityItemMap

    protected final Map<Iterator<Move>,org.optaplanner.core.impl.heuristic.selector.move.composite.UnionMoveSelector.ProbabilityItem> probabilityItemMap

### moveIteratorMap

    protected final NavigableMap<Double,Iterator<Move>> moveIteratorMap

### probabilityWeightTotal

    protected double probabilityWeightTotal

### stale

    protected boolean stale

Constructor Detail

### UnionMoveSelector.RandomUnionMoveIterator

    public UnionMoveSelector.RandomUnionMoveIterator()

Method Detail

### hasNext

    public boolean hasNext()

### next

    public Move next()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.